import { ElementRef, Renderer2, InputSignal } from "@angular/core";
import DynamicDiv from "../../components/dynamic-div";
import type { SymbolProps } from "./symbol.types";
import * as i0 from "@angular/core";
export default class Symbol {
    private renderer;
    symbol: InputSignal<SymbolProps["symbol"]>;
    builderComponents: InputSignal<SymbolProps["builderComponents"]>;
    attributes: InputSignal<SymbolProps["attributes"]>;
    dynamic: InputSignal<SymbolProps["dynamic"]>;
    builderContext: InputSignal<SymbolProps["builderContext"]>;
    builderBlock: InputSignal<SymbolProps["builderBlock"]>;
    builderLinkComponent: InputSignal<SymbolProps["builderLinkComponent"]>;
    elRef0: import("@angular/core").Signal<ElementRef<any>>;
    contentToUse: import("@angular/core").WritableSignal<any>;
    symbolEntry: import("@angular/core").WritableSignal<any>;
    _listenerFns: Map<any, any>;
    blocksWrapper: import("@angular/core").Signal<typeof DynamicDiv>;
    contentWrapper: import("@angular/core").Signal<typeof DynamicDiv>;
    customComponents: import("@angular/core").Signal<import("@builder.io/sdk-angular").RegisteredComponent[]>;
    className: import("@angular/core").Signal<string>;
    objSpread_context_c7ynf9: import("@angular/core").Signal<{
        symbolId: string;
    }>;
    objSpread_data_9gx4sl: import("@angular/core").Signal<any>;
    setContent(): void;
    setAttributes(el: HTMLElement, value: any, changes?: any): void;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Symbol, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Symbol, "builder-symbol", never, { "symbol": { "alias": "symbol"; "required": false; "isSignal": true; }; "builderComponents": { "alias": "builderComponents"; "required": false; "isSignal": true; }; "attributes": { "alias": "attributes"; "required": false; "isSignal": true; }; "dynamic": { "alias": "dynamic"; "required": false; "isSignal": true; }; "builderContext": { "alias": "builderContext"; "required": false; "isSignal": true; }; "builderBlock": { "alias": "builderBlock"; "required": false; "isSignal": true; }; "builderLinkComponent": { "alias": "builderLinkComponent"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
